import {EntityRepository, Repository} from "typeorm";
import {FaqPageCmsEntity} from "./entities/faq-page-cms.entity";
import {UpdateFaqPageCmsDto} from "./dto/update-faq-page-cms.dto";

@EntityRepository(FaqPageCmsEntity)
export class FaqPageCmsRepository extends Repository<FaqPageCmsEntity> {

    async createEntity(dto: UpdateFaqPageCmsDto): Promise<FaqPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subtitle: dto.subtitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFaqPageCmsDto, id: string): Promise<FaqPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subtitle: dto.subtitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FaqPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}