import {EntityRepository, Repository} from "typeorm";
import {HeaderBannerCmsEntity} from "./entities/header-banner-cms.entity";
import {UpdateHeaderBannerCmsDto} from "./dto/update-header-banner-cms.dto";

@EntityRepository(HeaderBannerCmsEntity)
export class HeaderBannerCmsRepository extends Repository<HeaderBannerCmsEntity> {

    async createEntity(dto: UpdateHeaderBannerCmsDto): Promise<HeaderBannerCmsEntity | Error> {
        try {
            const entity = this.create({
                bannerText: dto.bannerText,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHeaderBannerCmsDto, id: string): Promise<HeaderBannerCmsEntity | Error> {
        try {
            await this.update(id, {
                bannerText: dto.bannerText,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HeaderBannerCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}