import {EntityRepository, Repository} from "typeorm";
import {TrendingSectionCmsEntity} from "./entities/trending-section-cms.entity";
import {UpdateTrendingSectionCmsDto} from "./dto/update-trending-section-cms.dto";

@EntityRepository(TrendingSectionCmsEntity)
export class TrendingSectionCmsRepository extends Repository<TrendingSectionCmsEntity> {

    async createEntity(dto: UpdateTrendingSectionCmsDto): Promise<TrendingSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateTrendingSectionCmsDto, id: string): Promise<TrendingSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TrendingSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}