import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ProductSaleVariantsController } from './product-sale-variants.controller';
import { ProductSaleVariantsRepository } from './product-sale-variants.repository';
import { ProductSaleVariantsService } from './product-sale-variants.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSaleVariantsRepository,])
    ],
    controllers: [ProductSaleVariantsController],
    providers: [ProductSaleVariantsService, JwtHelper]
})
export class ProductSaleVariantsModule {}
