import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { ProductColorVariantsRepository } from '../product-color-variants/product-color-variants.repository';
import { ProductColorRepository } from '../product-color/product-color.repository';
import { ProductImageGalleryRepository } from '../product-image-gallery/product-image-gallery.repository';
import { ProductSizeVariantsRepository } from '../product-size-variants/product-size-variants.repository';
import { ProductSizeRepository } from '../product-size/product-size.repository';
import { ProductController } from './product.controller';
import { ProductsRepository } from './product.repository';
import { ProductService } from './product.service';
import { ProductCategoryRepository } from '../product-category/product-category.repository';
import { ProductSaleVariantsRepository } from '../product-sale-variants/product-sale-variants.repository';
import { ProductCareRepository } from '../product-care/product-care.repository';
import { ProductCareVariantsRepository } from '../product-care-variants/product-care-variants.repository';
import { ProductOfferRepository } from '../product-offer/product-offer.repository';
import { ProductOfferVariantsRepository } from '../product-offer-variants/product-offer-variants.repository';
import { ProductSaleRepository } from '../product-sale/product-sale.repository';
import { ProductDumpImportRepository } from '../product-dump-import/product-dump-importrepository';
import { ProductStockImportRepository } from '../product-stock-import/product-stock-import.repository';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([
      ProductsRepository,
      ProductColorRepository,
      ProductColorVariantsRepository,
      ProductSizeRepository,
      ProductSizeVariantsRepository,
      ProductImageGalleryRepository,
      ProductCategoryRepository,
      ProductSaleRepository,
      ProductSaleVariantsRepository,
      ProductCareRepository,
      ProductCareVariantsRepository,
      ProductOfferRepository,
      ProductOfferVariantsRepository,
      ProductDumpImportRepository,
      ProductStockImportRepository,
    ]),
  ],
  controllers: [ProductController],
  providers: [
    ProductService,
    JwtHelper,
    DoSpacesService,
    DoSpacesServicerovider
  ]
})
export class ProductModule { }
