import {EntityRepository, Repository} from "typeorm";
import {UpsConfiguration} from "./entities/ups-configuration.entity";

@EntityRepository(UpsConfiguration)
export class UpsConfigurationRepository extends Repository<UpsConfiguration> {

    async createEntity(payload: any): Promise<any | Error> {
        try {
            const entity = this.create(payload);
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(payload: any, id: any): Promise<any | Error> {
        try {
            await this.update(id, payload);
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<UpsConfiguration[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}